=== debian/changelog ===
ros-melodic-mrpt-ekf-slam-3d (0.1.10-1stretch) stretch; urgency=high

  * fix build against mrpt2
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose Luis <jlblanco@ual.es>  Fri, 04 Oct 2019 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.9-1stretch) stretch; urgency=high

  * Fix build against MRPT 1.9.9
  * Switch header guards to pragma once
  * Contributors: Jose Luis Blanco-Claraco, Julian Lopez Velasquez, Vladislav Tananaev

 -- Jose Luis <jlblanco@ual.es>  Sat, 13 Apr 2019 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.8-1stretch) stretch; urgency=high

  * Make catkin_lint clean
  * Contributors: Jose Luis Blanco Claraco

 -- Jose Luis <jlblanco@ual.es>  Thu, 20 Sep 2018 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.7-1stretch) stretch; urgency=high



 -- Jose Luis <jlblanco@ual.es>  Wed, 19 Sep 2018 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.6-1stretch) stretch; urgency=high

  * Fixed compilation with MRPT 1.5
  * fix build in mrpt 2.0
  * fix build; add optimized builds (-O3)
  * use consistent cmake conventions for c++14
  * Fixes and cleanups for config files
  * [mrpt_ekf_slam_3d] Update description and dependencies of package.xml
    Add test for *.launch files.
  * Move transforms to callbacks.
  * Define C++11 avoiding direct manipulation of CXX_FLAGS
  * catkin_lint error fixes
  * Contributors: Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Magnus Gärtner, Max Kuzmin, Vladislav Tananaev

 -- Jose Luis <jlblanco@ual.es>  Wed, 13 Jun 2018 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.5-1stretch) stretch; urgency=high

  * Don't instruct cmake to search eigen3, mrpt has it
  * Fix cmakelists typo
  * avoid cmake errors if eigen is not found
  * Contributors: Jose Luis Blanco-Claraco, Nikos Koukis

 -- Jose Luis <jlblanco@ual.es>  Thu, 17 Nov 2016 23:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.3-1stretch) stretch; urgency=high

  * Avoid gcc warnings with MRPT < 2.0.0
  * fix build against mrpt < 1.5.0
  * Contributors: Jose-Luis Blanco-Claraco

 -- Jose Luis <jlblanco@ual.es>  Mon, 26 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.2-1stretch) stretch; urgency=high

  * Make formatting conform to ROS C++ Style Guide.
  * fix eigen3 dependency problem
  * Output logs only in ROS.
  * Add a guard for new mrpt_bridge::rosLoggerLvlToMRPTLoggerLvl and mrpt_bridge::mrptToROSLoggerCallback functions for MRPT version less than 1.5.0.
  * Add streaming of MRPT logs to ROS logs.
  * Contributors: Jose Luis Blanco, Logrus, Vladislav Tananaev

 -- Jose Luis <jlblanco@ual.es>  Fri, 23 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.1-1stretch) stretch; urgency=high

  * First public version, as a result of Vladislav Tananaev's GSoC2016 work.
  * Skip mrpt_ekf_slam_3d if version of MRPT is lower than 1.5.0.
  * Contributors: Jose Luis Blanco, Logrus

 -- Jose Luis <jlblanco@ual.es>  Sun, 21 Aug 2016 22:00:00 -0000
