=== debian/control ===
Source: ros-melodic-mrpt-ekf-slam-3d
Section: misc
Priority: extra
Maintainer: Jose Luis <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-dynamic-reconfigure, ros-melodic-mrpt-bridge, ros-melodic-mrpt1, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslib, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-visualization-msgs
Homepage: http://ros.org/wiki/mrpt_ekf_slam_3d
Standards-Version: 3.9.2

Package: ros-melodic-mrpt-ekf-slam-3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cmake-modules, ros-melodic-dynamic-reconfigure, ros-melodic-mrpt-bridge, ros-melodic-mrpt-rawlog, ros-melodic-mrpt1, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslib, ros-melodic-rviz, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-visualization-msgs
Description: This package is a wrapper for the implementation of EKF-based SLAM with range-bearing sensors, odometry, a full 6D robot pose, and 3D landmarks.
